### Hierarchy

- DeepCopy<SearchRequest>
  - SearchRequest

## Index

### Constructors

- constructor

### Properties

- createdAt
- id
- owner
- tags
- updatedAt

### Methods

- copy
- deepCopyFromJson
- toJson
- fromJson

## Constructors

### constructor

- new SearchRequest(tags?: Map<string, string>): SearchRequest

- - Defined in repository/models/SearchRequest.ts:21

  #### Parameters

  - ##### Default value tags: Map<string, string> = new Map()

  #### Returns SearchRequest

## Properties

### createdAt

createdAt: Date = new Date()

- Defined in repository/models/SearchRequest.ts:10

### id

id: number = 0

- Defined in repository/models/SearchRequest.ts:7

### owner

owner: string = "0x0"

- Defined in repository/models/SearchRequest.ts:8

### tags

tags: Map<string, string>

- Defined in repository/models/SearchRequest.ts:9

### updatedAt

updatedAt: Date = new Date()

- Defined in repository/models/SearchRequest.ts:11

## Methods

### copy

- copy(changeArgs?: JsonObject<SearchRequest>): SearchRequest

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<SearchRequest>

  #### Returns SearchRequest

### Protected deepCopyFromJson

- deepCopyFromJson(): SearchRequest

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/SearchRequest.ts:38

  #### Returns SearchRequest

### toJson

- toJson(): any

- - Defined in repository/models/SearchRequest.ts:28

  #### Returns any

### Static fromJson

- fromJson(json: object): SearchRequest

- - Defined in repository/models/SearchRequest.ts:13

  #### Parameters

  - ##### json: object

  #### Returns SearchRequest

Generated using TypeDoc